Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158740 - Misleading message in 'su' info document
Summary: Misleading message in 'su' info document
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On: 102697
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-25 12:19 UTC by Tim Waugh
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-544
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 17:02:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:544 qe-ready SHIPPED_LIVE coreutils bug fix update 2005-09-28 04:00:00 UTC

Description Tim Waugh 2005-05-25 12:19:49 UTC
+++ This bug was initially created as a clone of Bug #102697 +++

[The following was originally sent to rhl-devel-list and is being posted on
bugzilla by request.]

I'm sure by now most of you have read the "Why GNU 'su' does not support
the 'wheel' group" rant from RMS written years ago.  If you have not
seen it yet do a quick 'info su' and scroll down to the bottom.

What surprises me is this has not been pulled from the 'su' info page
years(?) after pam_wheel showed up in pam.  The statement that GNU 'su'
does not support the 'wheel' group may be technically true in the form
shipped by the GNU but it is misleading when used in Red Hat.  If I were
looking for wheel support and decided to check the su info page (as
suggested by the su man page) I would have read this statement and may
never have figured out the functionality was actually being provided!

In my opinion such historical baggage is harmful and should be pulled
from at least Red Hat's copy of the 'su' info page.

Comment 8 Red Hat Bugzilla 2005-09-28 17:02:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-544.html



Note You need to log in before you can comment on or make changes to this bug.